import './proj-edit-step.css';
import { Breadcrumb, Cascader, Col, DatePicker, Flex, message, Modal, Row, Spin, Select, Table, Space } from "antd";
import { FolderAddOutlined } from '@ant-design/icons';
import locale from 'antd/es/date-picker/locale/zh_CN';
import { Link, useNavigate, useParams } from "react-router-dom";
import { useEffect, useState } from "react";
import { get, put } from "../../../util/AjaxUtils.ts";
import { Button, Form, Input } from 'antd';
import { AxiosResponse } from "axios";
import dayjs, { Dayjs } from 'dayjs';
import type { SearchProps } from 'antd/es/input/Search';
// import type { TableColumnsType } from 'antd';
import { ITree } from "../../../interfaces/dict/IDict.ts";
const { Search } = Input;
const { Column } = Table;
// 基本信息文件类型
type FieldType = {
    projSubName: string;
    projVersion: string;
    projDevCompleteDate: Dayjs;
    companyName: string;
    companyNameEn: string;
};
// 所属人信息类型
type BelongPeopleType = {
    authorName: string;
    authorIdCardType: string;
    authorIdCard: string;
    authorNation: string;
    authorProvince: string;
    authorEstablishDate: Dayjs;
}
interface DataType {
    key: React.Key;
    name: string;
    age: number;
    address: string;
    select: boolean;
}
interface Option {
    value?: string | number | null;
    label: React.ReactNode;
    children?: Option[];
    isLeaf?: boolean;
    id: string;
    pId: string;
}

export default function ProjEditStep2() {
    const nav = useNavigate();
    const pathParams = useParams();
    const [messageApi, contextHolder] = message.useMessage();
    const [formInfo] = Form.useForm<FieldType>();
    const [formBelong] = Form.useForm<BelongPeopleType>();
    const [loading, setLoading] = useState<boolean>(false);
    const [isEditModalOpen, setIsEditModalOpen] = useState(false);
    const [isNewBelongOpen, setIsNewBelongOpen] = useState(false)
    const height = window.innerHeight - 220;
    const dateFormat = 'YYYY年MM月DD日';

    // 表格第几行数据
    // const [clom, setClom] = useState('')
    // 著作人搜索
    const belongPeopleSearch: SearchProps['onSearch'] = (value, _e, info) => (
        console.log(info?.source, value),
        alert(value)
    );
    // 申请人信息搜索 applicantPeopleSearch
    const applicantPeopleSearch: SearchProps['onSearch'] = (value, _e, info) => (
        console.log(info?.source, value),
        alert(value)
    );

    // 表格相关
    // rowSelection object indicates the need for row selection
    const rowSelection = {
        // selectedRowKeys: React.Key[]
        onChange: (selectedRowKeys: React.Key[], selectedRows: DataType[]) => {
            console.log(`selectedRowKeys: ${selectedRowKeys}`, 'selectedRows: ', selectedRows);
            // setClom(String(selectedRowKeys))
            setSelectedKeyst(selectedRowKeys)
        },

    };
    const datanew = []
    // 所属着表格数据
    const [tableBelongData, setTableBelongData] = useState<BelongDataType>([])
    const data: DataType[] = [
        {
            key: '1',
            name: 'John Brown',
            age: 32,
            address: 'New York No. 1 Lake Park',
            select: false
        },
        {
            key: '2',
            name: 'Jim Green',
            age: 42,
            address: 'London No. 1 Lake Park',
            select: true

        },
        {
            key: '3',
            name: 'Joe Black',
            age: 32,
            address: 'Sydney No. 1 Lake Park',
            select: false

        },
        {
            key: '4',
            name: 'Disabled User',
            age: 99,
            address: 'Sydney No. 1 Lake Park',
            select: false

        },
        {
            key: '5',
            name: '嘻嘻',
            age: 99,
            address: 'Sydney No. 1 Lake Park',
            select: false

        },
        {
            key: '6',
            name: '呵呵',
            age: 99,
            address: 'Sydney No. 1 Lake Park',
            select: false

        },



    ];
    const [selectedKeys, setSelectedKeyst] = useState(data.filter(item => item.select).map(item => item.key))
    // const selectedKeys = data.filter(item => item.select).map(item => item.key);
    console.log('selectedKeys:', selectedKeys);

    // 创建所属者弹窗数据
    const [belongTitle, setbelongTitle] = useState('')
    const [areaArray, setAreaArray] = useState<Option[]>([]);
    const listArea = (pId: string) => {
        return new Promise<ITree[]>((resolve) => {
            get<ITree[]>({
                messageApi,
                url: '/api/area/list-area-ztree',
                config: {
                    params: {
                        id: pId
                    }
                },
                onSuccess({ data }) {
                    resolve(data);
                }
            })
        })
    }


    // 验证创建著作人表单信息
    const handleOk = () => {
        formBelong.validateFields().then(() => {
            // 如果验证通过，则执行确认操作
            // 这里可以放置你的确认操作逻辑
            // alert(formBelong.getFieldValue('authorName'));

            // 关闭 弹窗
            setIsNewBelongOpen(false)
            // 初始化数据
            formBelong.resetFields(); // 重置表单字段为初始值
            // alert('嘻嘻')

        }).catch(() => {
            // 如果验证不通过，可以根据需要处理错误信息
            // (errorInfo);
        });
    };


    useEffect(() => {
        // 基本信息页面信息
        get({
            messageApi,
            url: `/api/proj/get/edit-step2/${pathParams.projId}`,
            onSuccess({ data }: AxiosResponse) {
                // console.log('基本信息',data);

                formInfo.setFieldsValue({
                    projSubName: data.projSubName,
                    projVersion: data.projVersion,
                    projDevCompleteDate: data.projDevCompleteDate ? dayjs(data.projDevCompleteDate, 'YYYY-MM-DD') : '',
                    companyName: data.companyName,
                    companyNameEn: data.companyNameEn,
                })
            }
        })
        // 所属者信息
        get({
            messageApi,
            url: `/api/proj/get/edit-step4/${pathParams.projId}`,
            onSuccess({data}: AxiosResponse) {
               console.log('所属者信息',data);
               
            }
        })
        // 所属者表格
        get({
            messageApi,
            // url: `/api/proj/get/edit-step2/${pathParams.projId}`,

            url: `/api/proj-owner/listpage`,
            // config: {
            //     params: {
            //     }
            // },
            onSuccess({ data }: AxiosResponse) {
                console.log('所属者表格', data);

            }
        })


        listArea('0').then(data => {
            const options: Option[] = data.map(item => {
                return {
                    value: item.name,
                    label: item.name,
                    isLeaf: !item.isParent,
                    id: item.id,
                    pId: item.pId
                }
            })
            setAreaArray(options);
        });
    }, [])

    return (
        <>
            <div style={{ marginTop: '26px', height: `${height}px`, overflow: 'auto', background: 'var(--color-light)', position: 'relative' }}>


                {contextHolder}
                {/* <Breadcrumb
                items={[
                    {title: <Link to={'/'}>首页</Link>},
                    {title: <Link to={'/proj-create'}>创建项目</Link>},
                    {title: <a onClick={() => {nav(-1)}}>编辑项目</a>},
                    {title: '基本信息'},
                ]}
            /> */}
                <div style={{ height: '100%', marginBottom: '40px', background: 'var(--color-light)' }}>

                    <div className="form-container" >
                        <div className='Step-title'>
                            <div className='Step-titlel'></div>
                            <div className='Step-titler'>基本信息</div>
                        </div>
                        <div className="form-body">
                            <Form
                                name="Info"
                                form={formInfo}
                                layout="vertical"
                                labelCol={{ span: 8 }}
                                wrapperCol={{ span: 24 }}
                                style={{}}
                                onFinish={() => {
                                    setIsEditModalOpen(true);
                                }}
                                autoComplete="off"

                            >
                                <Row gutter={15}>
                                    <div className='projNameInt'>

                                        <div style={{ display: 'flex' }}>
                                            <div className='projTitle '> 项目简称:</div>

                                            <Form.Item<FieldType>
                                                // label="项目简称"
                                                name="projSubName"
                                                rules={[{ required: false, message: '请输入项目简称' }]}
                                            >
                                                <Input
                                                    style={{ height: '50px', width: '411px', fontSize: '16px' }}

                                                    placeholder="请输入项目简称" />
                                            </Form.Item>
                                        </div>
                                        <div style={{ display: 'flex' }}>
                                            <div className='projTitle ' style={{ marginLeft: '112px' }}><span className='redicon'>*</span> 开发完成时间:</div>

                                            <Form.Item<FieldType>
                                                // label="开发完成时间"
                                                name="projDevCompleteDate"
                                                rules={[{ required: true, message: '请输入开发完成时间' }]}
                                            >
                                                <DatePicker placeholder="请选择开发完成日期"
                                                    format={dateFormat}
                                                    locale={locale}
                                                    // style={{ width: '100%' }}
                                                    style={{ height: '50px', width: '411px', fontSize: '16px' }}

                                                />
                                            </Form.Item>
                                        </div>

                                    </div>

                                </Row>
                                <Row gutter={15}>
                                    <div style={{ display: 'flex' }}>
                                        <div className='projTitle '><span className='redicon'>*</span> 项目版本:</div>

                                        <Form.Item<FieldType>
                                            // label="项目版本"
                                            name="projVersion"
                                            rules={[{ required: true, message: '请输入项目版本' }]}
                                        >
                                            <Input
                                                style={{ height: '50px', width: '411px', fontSize: '16px' }}

                                                placeholder="请输入项目版本" />
                                        </Form.Item>
                                    </div>

                                    {/* <Col span={12}>
                                        <Form.Item<FieldType>
                                            label="开发完成时间"
                                            name="projDevCompleteDate"
                                            rules={[{ required: true, message: '请输入开发完成时间' }]}
                                        >
                                            <DatePicker placeholder="请选择开发完成日期"
                                                format={dateFormat}
                                                locale={locale}
                                                style={{ width: '100%' }}
                                            />
                                        </Form.Item>
                                    </Col> */}
                                    <div style={{ display: 'flex' }}>
                                        <div className='projTitle ' style={{ marginLeft: '112px' }}><span className='redicon'>*</span> 公司名称:</div>

                                        <Form.Item<FieldType>
                                            // label="公司名称"
                                            name="companyName"
                                            // extra="公司名称在操作手册中引用"
                                            rules={[{ required: true, message: '请输入公司名称' }]}
                                        >
                                            <Input

                                                style={{ height: '50px', width: '411px', fontSize: '16px' }}
                                                placeholder="请输入公司名称" />
                                        </Form.Item>
                                    </div>

                                </Row>

                                <Row gutter={15}>
                                    {/* <Col span={12}>
                                        <Form.Item<FieldType>
                                            label="公司名称"
                                            name="companyName"
                                            extra="公司名称在操作手册中引用"
                                            rules={[{ required: true, message: '请输入公司名称' }]}
                                        >
                                            <Input placeholder="请输入公司名称" />
                                        </Form.Item>
                                    </Col> */}
                                    <div style={{ display: 'flex' }}>
                                        <div className='projTitle '><span className='redicon'>*</span> 公司英文名称:</div>

                                        <Form.Item<FieldType>
                                            // label="公司英文名称"
                                            name="companyNameEn"
                                            // extra="公司英文名称在操作手册中引用"
                                            rules={[{ required: true, message: '请输入公司英文名称' }]}
                                        >
                                            <Input

                                                style={{ height: '50px', width: '411px', fontSize: '16px' }}

                                                placeholder="请输入公司英文名称" />
                                        </Form.Item>
                                    </div>

                                </Row>
                                <div className='Step-title' style={{ marginTop: '86px' }}>
                                    <div className='Step-titlel'></div>
                                    <div className='Step-titler'>选择知识产权所属者</div>
                                </div>
                                <div style={{ padding: '22px 15px' }}>
                                    <div style={{ padding: '14px 19px', background: '#F3F3F3', color: '#A3A3A3', fontSize: '14px' }}>
                                        根据《中国版权登记业务平台软件登记》相关要求，申请人需要再国版权登记业务平台注册并通过实名制认证。
                                        <span style={{ color: '#FDB33E' }}>了解实名制认证流程</span>
                                    </div>
                                    <div className='belongPeople-center'>
                                        <Button onClick={() => {
                                            // 先初始化数据
                                            formBelong.resetFields()
                                            setIsNewBelongOpen(true)
                                            setbelongTitle('创建所属者')
                                        }} type="primary" icon={<FolderAddOutlined style={{ fontSize: '18px' }} />} style={{ width: "160px", height: '43px', fontSize: '14px' }}>
                                            创建所属者
                                        </Button>
                                        <div className='belongPeople-search'>
                                            <Search placeholder="请输入持有者名称搜索对应信息模板" onSearch={belongPeopleSearch} style={{ width: '353px', height: '43px' }} />
                                        </div>
                                        <div className='belongPeople-select'>
                                            <Select
                                                style={{ height: '43px', width: '183px', fontSize: '16px' }}
                                                onChange={(value: string) => {
                                                    console.log(`selected ${value}`);
                                                    alert(`selected ${value}`)

                                                }}
                                                options={[
                                                    { value: 'code1', label: '全部类型' },
                                                    { value: 'code2', label: '呵呵' },
                                                    { value: 'code3', label: '哈哈' },
                                                ]}
                                                defaultValue="code1"
                                            />
                                        </div>
                                        <div className='belongPeople-select'>
                                            <Select
                                                style={{ height: '43px', width: '183px', fontSize: '16px' }}
                                                onChange={(value: string) => {
                                                    console.log(`selected ${value}`);
                                                    alert(`selected ${value}`)
                                                }}
                                                options={[
                                                    { value: 'code1', label: '全部状态' },
                                                    { value: 'code2', label: '嘿嘿' },
                                                    { value: 'code3', label: '嘻嘻' },
                                                ]}
                                                defaultValue="code1"
                                            />
                                        </div>
                                    </div>
                                    <div className='belongPeople-bot'>
                                        {/* 表格 */}

                                        <Table
                                            rowSelection={{
                                                type: 'radio',
                                                ...rowSelection,
                                                selectedRowKeys: selectedKeys // 设置默认选中的行
                                            }}
                                            // columns={columns}

                                            dataSource={data}
                                            pagination={{
                                                defaultPageSize: 5, // 设置默认一页显示 5 条数据
                                            }}
                                            style={{ textAlign: 'center' }} // 设置表格内容居中显示
                                        >
                                            <Column title="所属者名称" dataIndex="name" key="key" />
                                            <Column title="所属类型" dataIndex="name" key="key" />
                                            <Column title="所属证件类型" dataIndex="address" key="key" />
                                            <Column title="所属者身份证号" dataIndex="address" key="key" />
                                            {/* <Column title="实名认证状态" dataIndex="address" key="key" /> */}
                                            <Column
                                                title="操作"
                                                key="action"
                                                render={(text, record: any) => (
                                                    <Space size="middle">
                                                        <a onClick={() => {
                                                            console.log('text:', text);
                                                            console.log('record:', record);


                                                            setbelongTitle('编辑所属者')
                                                            setIsNewBelongOpen(true)
                                                            // 发起请求给formBelong 表单赋值
                                                            formBelong.setFieldsValue({
                                                                // 公司名
                                                                authorName: '嘻嘻',
                                                                // 证件类型
                                                                authorIdCardType: 'BUSINESS_LICENSE',
                                                                // 证件号
                                                                authorIdCard: '12345678',
                                                                // 国籍
                                                                authorNation: '中国',
                                                                // 地区
                                                                authorProvince: '',
                                                                // 成立日期
                                                                authorEstablishDate: '',
                                                            })
                                                        }}>编辑 </a>
                                                        <span style={{ color: '#3472EE' }}>|</span>
                                                        <a onClick={() => {
                                                            alert('删除' + record.key)
                                                        }}>删除</a>
                                                        <span style={{ color: '#3472EE' }}>|</span>
                                                        <a onClick={() => {
                                                            setbelongTitle('查看所属者')
                                                            setIsNewBelongOpen(true)
                                                            // 发起请求给formBelong 表单赋值
                                                            formBelong.setFieldsValue({
                                                                // 公司名
                                                                authorName: '查看',
                                                                // 证件类型
                                                                authorIdCardType: 'BUSINESS_LICENSE',
                                                                // 证件号
                                                                authorIdCard: '12345678',
                                                                // 国籍
                                                                authorNation: '中国',
                                                                // 地区
                                                                authorProvince: '',
                                                                // 成立日期
                                                                authorEstablishDate: '',
                                                            })
                                                        }}>查看</a>

                                                    </Space>
                                                )}
                                            />
                                        </Table>

                                    </div>
                                </div>
                                <div className='Step-title' style={{ marginTop: '86px' }}>
                                    <div className='Step-titlel'></div>
                                    <div className='Step-titler'>申请人信息</div>
                                </div>
                                <div style={{ padding: '22px 15px' }}>
                                    <div style={{ padding: '14px 19px', background: '#F3F3F3', color: '#A3A3A3', fontSize: '14px' }}>
                                        联系人用于接受平台相关业务办理进度的通知信息与各类协议的线下签章等工作。
                                    </div>
                                    <div className='belongPeople-center'>
                                        <Button onClick={() => {
                                            alert(' 创建联系人')

                                        }} type="primary" icon={<FolderAddOutlined style={{ fontSize: '18px' }} />} style={{ width: "160px", height: '43px', fontSize: '14px' }}>
                                            创建联系人
                                        </Button>
                                        <div className='belongPeople-search'>
                                            <Search placeholder="请输入持有者名称搜索对应信息" onSearch={applicantPeopleSearch} style={{ width: '353px', height: '43px' }} />
                                        </div>
                                    </div>
                                    <div className='belongPeople-bot'>
                                        {/* 表格 */}
                                        <Table
                                            rowSelection={{
                                                type: 'radio',
                                                ...rowSelection,
                                                selectedRowKeys: selectedKeys // 设置默认选中的行
                                            }}
                                            // columns={columns}

                                            dataSource={data}
                                            pagination={{
                                                defaultPageSize: 5, // 设置默认一页显示 5 条数据
                                            }}
                                            style={{ textAlign: 'center' }} // 设置表格内容居中显示
                                        >
                                            <Column title="所属者名称" dataIndex="name" key="key" />
                                            <Column title="所属类型" dataIndex="name" key="key" />
                                            <Column title="所属证件类型" dataIndex="address" key="key" />
                                            <Column title="所属者身份证号" dataIndex="address" key="key" />
                                            {/* <Column title="实名认证状态" dataIndex="address" key="key" /> */}
                                            <Column
                                                title="操作"
                                                key="action"
                                                render={(text, record: any) => (
                                                    <Space size="middle">
                                                        <a onClick={() => {
                                                            alert(text)

                                                        }}>编辑 </a>
                                                        <span style={{ color: '#3472EE' }}>|</span>
                                                        <a onClick={() => { alert(record.key) }}>查看</a>
                                                    </Space>
                                                )}
                                            />
                                        </Table>
                                    </div>
                                </div>


                                <div style={{ marginTop: '107px', display: 'flex', justifyContent: 'flex-end', paddingRight: '15px' }}>
                                    <Form.Item wrapperCol={{ span: 24 }}>
                                        <Flex align="center" justify="center" gap="large">
                                            <Button type="default" htmlType="button" onClick={() => {
                                                nav(-1);
                                            }}
                                                style={{ height: '49px', width: '104px', color: '#4B4B4B', background: '#D1D1D1', fontSize: '16px' }}>
                                                返回
                                            </Button>
                                            <Button type="primary"
                                                htmlType="submit"
                                                style={{ height: '49px', width: '104px', color: '#FDFDF2', background: '#1564ED', fontSize: '16px' }}>

                                                保存
                                            </Button>

                                        </Flex>
                                    </Form.Item>
                                </div>
                                <div style={{ height: '200px' }}></div>
                            </Form>
                        </div>
                    </div>
                </div>


                {/* 总体选择保存的提示 */}
                <Modal title="提示"
                    okText="确定"
                    cancelText="取消"
                    open={isEditModalOpen}
                    onOk={() => {
                        // 美哟u创建所属者 应该还得判断一下没选中所属者
                        if (data.length == 0) {
                            // alert('所属者不能为空')
                            messageApi.open({
                                type: 'error',
                                content: '所属者不能为空'
                            })
                            setIsEditModalOpen(false);
                            // 没有申请人 应该还得判断一下没选中申请人
                        } else if (datanew.length == 0) {
                            // alert('申请人不能为空')
                            messageApi.open({
                                type: 'error',
                                content: '申请人不能为空'
                            })
                            setIsEditModalOpen(false);
                        } else if (selectedKeys.length == 0) {
                            messageApi.open({
                                type: 'error',
                                content: '请选择所属者'
                            })
                            setIsEditModalOpen(false);

                        } else {
                            setIsEditModalOpen(false);
                            put({
                                messageApi,
                                url: `/api/proj/update/edit-step2/${pathParams.projId}`,
                                body: {
                                    projSubName: formInfo.getFieldValue('projSubName'),
                                    projVersion: formInfo.getFieldValue('projVersion'),
                                    projDevCompleteDate: dayjs(formInfo.getFieldValue('projDevCompleteDate')).format(dateFormat),
                                    companyName: formInfo.getFieldValue('companyName'),
                                    companyNameEn: formInfo.getFieldValue('companyNameEn'),
                                },
                                onBefore() {
                                    setLoading(true);
                                },
                                onSuccess() {
                                    messageApi.open({
                                        type: 'success',
                                        content: '编辑成功'
                                    })
                                },
                                onFinally() {
                                    setLoading(false);
                                }
                            })
                        }
                        // setIsEditModalOpen(false);
                        // put({
                        //     messageApi,
                        //     url: `/api/proj/update/edit-step2/${pathParams.projId}`,
                        //     body: {
                        //         projSubName: form.getFieldValue('projSubName'),
                        //         projVersion: form.getFieldValue('projVersion'),
                        //         projDevCompleteDate: dayjs(form.getFieldValue('projDevCompleteDate')).format(dateFormat),
                        //         companyName: form.getFieldValue('companyName'),
                        //         companyNameEn: form.getFieldValue('companyNameEn'),
                        //     },
                        //     onBefore() {
                        //         setLoading(true);
                        //     },
                        //     onSuccess() {
                        //         messageApi.open({
                        //             type: 'success',
                        //             content: '编辑成功'
                        //         })
                        //     },
                        //     onFinally() {
                        //         setLoading(false);
                        //     }
                        // })
                    }}
                    onCancel={() => {
                        setIsEditModalOpen(false);
                    }}>
                    <div>确定提交吗？</div>
                </Modal>


                {/* 选择创建所属者 */}
                <Modal
                    okText="确认"
                    // cancelText="取消"
                    cancelText={belongTitle === '查看所属者' ? '返回' : '取消'}
                    open={isNewBelongOpen}
                    // 点击确认上传事件
                    // onOk={() => {
                    // }}
                    onOk={
                        handleOk
                    }
                    width={'66.67%'}
                    // 确认按钮样式
                    okButtonProps={{ style: { width: '102px', height: '49px', background: '#FFBA00', fontSize: '18px', color: '#FFFFFF', display: belongTitle == '查看所属者' ? 'none' : 'block' } }}
                    // 返回按钮样式
                    cancelButtonProps={{ style: { border: 'none', width: '102px', height: '49px', background: '#F3F3F3', fontSize: '18px', color: '#8C8C8C' } }}
                    onCancel={() => { setIsNewBelongOpen(false) }}
                >
                    <div className='belongPeople-Modal'>
                        <div className='belongPeople-Mtop'>
                            {belongTitle}
                        </div>
                        <div>
                            <Form
                                name="belongInfo"
                                form={formBelong}
                                layout="vertical"
                                labelCol={{ span: 8 }}
                                wrapperCol={{ span: 24 }}
                                style={{ width: '800px' }}
                                onFinish={() => {
                                    // setIsNewBelongOpen(true);   
                                }}
                                autoComplete="off"
                            >
                                <Row gutter={15}>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="姓名或公司名称"
                                            name="authorName"
                                            rules={[{ required: true, message: '请输入姓名或公司名称' }]}
                                        >
                                            <Input placeholder="请输入姓名或公司名称"
                                                disabled={belongTitle == '查看所属者' ? true : false}
                                            />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="成立日期"
                                            name="authorEstablishDate"
                                            rules={[{ required: true, message: '请选择成立日期' }]}
                                        >
                                            <DatePicker placeholder="请选择成立日期"
                                                format={dateFormat}
                                                locale={locale}
                                                style={{ width: '100%' }}
                                                disabled={belongTitle == '查看所属者' ? true : false}

                                            />
                                        </Form.Item>
                                    </Col>
                                </Row>
                                <Row gutter={15}>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="证件类型"
                                            name="authorIdCardType"
                                            rules={[{ required: true, message: '请选择证件类型' }]}
                                        >
                                            <Select
                                                placeholder="请选择样证件类型"
                                                onChange={(value: string) => {
                                                    console.log(`selected ${value}`);
                                                }}
                                                options={[
                                                    { value: 'BUSINESS_LICENSE', label: '营业执照' },
                                                    { value: 'ID_CARD', label: '身份证' },
                                                ]}
                                                disabled={belongTitle == '查看所属者' ? true : false}

                                            />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="证件号"
                                            name="authorIdCard"
                                            rules={[{ required: true, message: '请输入证件号' }]}
                                        >
                                            <Input placeholder="请输入证件号"
                                                disabled={belongTitle == '查看所属者' ? true : false}
                                            />
                                        </Form.Item>
                                    </Col>
                                </Row>
                                <Row gutter={15}>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="国籍"
                                            name="authorNation"
                                            rules={[{ required: true, message: '请选择国籍' }]}
                                        >
                                            <Select
                                                placeholder="请选择国籍"
                                                options={[
                                                    { value: '中国', label: '中国' },
                                                ]}
                                                disabled={belongTitle == '查看所属者' ? true : false}

                                            />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item<BelongPeopleType>
                                            label="省市"
                                            name="authorProvince"
                                            rules={[{ required: true, message: '请选择省市' }]}
                                        >
                                            <Cascader options={areaArray}
                                                loadData={(selectedOptions: Option[]) => {
                                                    const targetOption = selectedOptions[selectedOptions.length - 1];
                                                    listArea(targetOption.id).then(data => {
                                                        targetOption.children = data.map(item => {
                                                            return {
                                                                value: item.name,
                                                                label: item.name,
                                                                isLeaf: !item.isParent,
                                                                id: item.id,
                                                                pId: item.pId
                                                            }
                                                        });
                                                        setAreaArray([
                                                            ...areaArray
                                                        ])
                                                    });
                                                }}
                                                placeholder="请选择省市"
                                                changeOnSelect
                                                disabled={belongTitle == '查看所属者' ? true : false}
                                            />
                                        </Form.Item>
                                    </Col>
                                </Row>
                            </Form>
                        </div>
                    </div>

                </Modal>
                <Spin tip="正在提交..." spinning={loading} fullscreen />
            </div >

        </>
    )

}